Skip to main content
GET
List Row Events

Authorizations

x-api-key
string
header
required

Your Sixtyfour API key.

Path Parameters

monitor_id
string<uuid>
required
row_id
string<uuid>
required

Query Parameters

field
string | null

Only return events about this field.

Maximum string length: 100000
event_group_id
string<uuid> | null

Only return the events of one check.

include_completions
boolean
default:false

If true, also returns an event for each finished check that found no change. Default: false.

page_size
integer
default:20

Events to return. Default: 20. Range: 1 to 500.

Required range: 1 <= x <= 500

Response

Successful Response

items
RowEvent · object[]
required

Events, newest first.

next_cursor
string | null

Always null. Use page_size to read more events.